Loading...
Searching...
No Matches
main.cpp File Reference

The main program. More...

`#include "data_type.hpp"`
`#include "monte_carlo.hpp"`
`#include "utils.hpp"`
`#include <csignal>`
`#include <cstdlib>`
`#include <iostream>`
`#include <omp.h>`

Go to the source code of this file.

## Functions

void | create_burn_in_time_data ()
void | create_pd_estimate_data ()
void | test_parallel_speedup ()
void | create_phase_transition_data ()
int | main (int argc, char **argv)
| The main function.

## Detailed Description

The main program.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  0.1

Bug:
  No known bugs

Definition in file main.cpp.

## Function Documentation

## create_burn_in_time_data()

void create_burn_in_time_data | ( |  | ) |

Definition at line 21 of file main.cpp.

## create_pd_estimate_data()

void create_pd_estimate_data | ( |  | ) |

Definition at line 34 of file main.cpp.

## create_phase_transition_data()

void create_phase_transition_data | ( |  | ) |

Definition at line 62 of file main.cpp.

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

The main function.

Definition at line 84 of file main.cpp.

## test_parallel_speedup()

void test_parallel_speedup | ( |  | ) |

Definition at line 41 of file main.cpp.